<template>
	<div class="content">
		<u-table>
			<u-tr class="u-tr">
				<u-th class="u-th">序号</u-th>
				<u-th class="u-th">容器号</u-th>
				<u-th class="u-th">品规数</u-th>
				<u-th class="u-th">折合件数</u-th>
				<u-th class="u-th">业主名称</u-th>
			</u-tr>
			<u-tr v-for="(item, index) in result" :key="item.containerCode" class="u-tr">
				<u-td class="u-td">{{ index + 1 }}</u-td>
				<u-td class="u-td">{{ item.containerCode }}</u-td>
				<u-td class="u-td">{{ item.specificationsQty }}</u-td>
				<u-td class="u-td">{{ item.caseQty }}</u-td>
				<u-td class="u-td">{{ item.consignorName }}</u-td>
			</u-tr>
		</u-table>
	</div>
</template>

<script>
	export default {
		data() {
			return {
				result: []
			}
		},
		onLoad: function() {
			this.getDetail()
		},
		methods: {
			getDetail() {
				this.$u.api.acceptance.queryContainerTask().then(res => {
					if(res.code===200) {
						this.result = res.data
					} else {
						this.$u.toast(res.msg);
					}
				})
			}
		}
	}
</script>

<style lang="scss">
	.content {
		width: 95%;
		margin: 0 auto;
		margin-top: 20rpx;
	}
</style>